Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 733938 - games-emulation/vbam-2.1.4: fails to compile
Summary: games-emulation/vbam-2.1.4: fails to compile
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2020-07-26 06:57 UTC by Agostino Sarubbo
Modified: 2020-11-07 22:48 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,10.21 KB, text/plain)
2020-07-26 06:58 UTC, Agostino Sarubbo
Details
other.tar.bz2 (other.tar.bz2,5.20 KB, application/x-bzip-compressed-tar)
2020-07-26 06:58 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-26 06:57:55 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: games-emulation/vbam fails to compile.
Discovered on: amd64 (internal ref: ci)
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-26 06:58:00 UTC
Created attachment 650786 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2020-07-26 06:58:02 UTC
Created attachment 650788 [details]
other.tar.bz2

other logs
Comment 3 Sam James archtester gentoo-dev Security 2020-07-27 02:55:48 UTC
Might be a tc-directly issue. Will try look at this when desktop is back up and running.
Comment 4 Larry the Git Cow gentoo-dev 2020-11-07 22:48:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4170d8bfd1daa58c8738c6a61db1e52187641a1d

commit 4170d8bfd1daa58c8738c6a61db1e52187641a1d
Author:     Alexey Sokolov <sokolov@google.com>
AuthorDate: 2020-10-29 01:42:09 +0000
Commit:     James Le Cuirot <chewi@gentoo.org>
CommitDate: 2020-11-07 22:42:29 +0000

    games-emulation/vbam: don't override CMAKE_AR
    
    Closes: https://bugs.gentoo.org/733938
    Package-Manager: Portage-3.0.8, Repoman-3.0.1
    Signed-off-by: Alexey Sokolov <alexey+gentoo@asokolov.org>
    Closes: https://github.com/gentoo/gentoo/pull/18064
    Signed-off-by: James Le Cuirot <chewi@gentoo.org>

 games-emulation/vbam/vbam-2.1.4.ebuild | 1 +
 games-emulation/vbam/vbam-9999.ebuild  | 1 +
 2 files changed, 2 insertions(+)